Subject: bug#47063: 27.1; Tramp customizations overridden by tramp-loaddefs.el

From: Aaron Zeng <[email-masked]>
Date: Thu, 11 Mar 2021 12:19:01 -0500

Okay, it looks like if I add (require 'tramp) before the
custom-set-variables, the customization is applied correctly, so that
would be an effective workaround.

That still seems like a bug, though.  Customizations are supposed to
be applied even if the corresponding package isn't yet loaded.

On Thu, Mar 11, 2021 at 12:11 PM Michael Albinus <[email-masked]> wrote:
>
> Aaron Zeng <[email-masked]> writes:
>
> > Hi Michael,
>
> Hi Aaron,
>
> > Are you suggesting that I should add that to my .emacs?  Or do you
> > mean that I am inadvertently loading tramp.el somewhere in my .emacs?
>
> I recommend the former.
>
> > Thanks,
> > Aaron
>
> Best regards, Michael.